{
  "schema_version": "1.4.0",
  "id": "GHSA-7hrm-234x-37p5",
  "modified": "2025-04-12T13:07:55Z",
  "published": "2022-05-17T00:27:21Z",
  "aliases": [
    "CVE-2016-8670"
  ],
  "details": "Integer signedness error in the dynamicGetbuf function in gd_io_dp.c in the GD Graphics Library (aka libgd) through 2.2.3, as used in PHP before 5.6.28 and 7.x before 7.0.13, allows remote attackers to cause a denial of service (stack-based buffer overflow) or possibly have unspecified other impact via a crafted imagecreatefromstring call.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-8670"
    },
    {
      "type": "WEB",
      "url": "https://github.com/libgd/libgd/commit/53110871935244816bbb9d131da0bccff734bfe9"
    },
    {
      "type": "WEB",
      "url": "https://bugs.php.net/bug.php?id=73280"
    },
    {
      "type": "WEB",
      "url": "https://support.f5.com/csp/article/K21336065?utm_source=f5support&amp%3Butm_medium=RSS"
    },
    {
      "type": "WEB",
      "url": "https://support.f5.com/csp/article/K21336065?utm_source=f5support&amp;utm_medium=RSS"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2016/dsa-3693"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2016/10/15/1"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/ChangeLog-5.php"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/ChangeLog-7.php"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/93594"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-01-04T20:59:00Z"
  }
}